<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/relativeLayout3"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/border">

    <TextView
        android:id="@+id/aname"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="7dp"
        android:layout_marginTop="7dp"
        android:text="Medium Text"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textSize="14sp"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed" />


    <EditText
        android:id="@+id/et_from"
        android:layout_width="0dp"
        android:layout_height="wrap_content"

        android:ems="10"
        android:focusable="false"
        android:hint="@string/str_from"
        app:layout_constraintEnd_toStartOf="@+id/btn_clear_from"
        app:layout_constraintStart_toStartOf="@+id/aname"
        app:layout_constraintTop_toBottomOf="@+id/aname" />

    <Button
        android:id="@+id/btn_clear_from"
        android:layout_width="wrap_content"
        android:layout_height="39dp"
        android:layout_marginEnd="7dp"
        android:background="@drawable/btn_bg"
        android:text="@string/str_clear"
        app:layout_constraintBottom_toBottomOf="@+id/et_from"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/et_from" />


    <EditText
        android:id="@+id/et_to"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="7dp"
        android:ems="10"
        android:focusable="false"
        android:hint="@string/str_to"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/btn_clear_to"
        app:layout_constraintStart_toStartOf="@+id/et_from"
        app:layout_constraintTop_toBottomOf="@+id/et_from">

        <requestFocus
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />
    </EditText>

    <Button
        android:id="@+id/btn_clear_to"
        android:layout_width="wrap_content"
        android:layout_height="39dp"
        android:layout_marginEnd="7dp"
        android:background="@drawable/btn_bg"
        android:text="@string/str_clear"
        app:layout_constraintBottom_toBottomOf="@+id/et_to"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/et_from" />


</android.support.constraint.ConstraintLayout>